ISWDIGIT(P)

NAME
iswdigit - test for a decimal digit wide-character code

SYNOPSIS

#include <wctype.h>

int iswdigit(wint_t wc);

DESCRIPTION

The iswdigit() function shall test whether wc is a wide-character code representing a character of class digit in the program's current locale; see the Base Definitions volume of IEEE Std 1003.1-2001, Chapter 7, Locale.

The wc argument is a wint_t, the value of which the application shall ensure is a wide-character code corresponding to a valid character in the current locale, or equal to the value of the macro WEOF. If the argument has any other value, the behavior is undefined.

RETURN VALUE

The iswdigit() function shall return non-zero if wc is a decimal digit wide-character code; otherwise, it shall return 0.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

To ensure applications portability, especially across natural languages, only this function and those listed in the SEE ALSO section should be used for classification of wide-character codes.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

iswalnum() , iswalpha() , iswcntrl() , iswctype() , iswgraph() , iswlower() , iswprint() , iswpunct() , iswspace() , iswupper() , iswxdigit() , setlocale() , the Base Definitions volume of IEEE Std 1003.1-2001, Chapter 7, Locale, <wchar.h>, <wctype.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .